Package com.databricks.jdbc.exception

## Class DatabricksDriverException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.databricks.jdbc.exception.DatabricksDriverException

All Implemented Interfaces:
  `Serializable`

    public class DatabricksDriverException
    extends RuntimeException

Top level exception for Databricks driver

See Also:
  Serialized Form

### Constructor Summary

Constructors
`DatabricksDriverException​(String reason, DatabricksDriverErrorCode internalError)`
`DatabricksDriverException​(String reason, String sqlState)`
`DatabricksDriverException​(String reason, Throwable cause, DatabricksDriverErrorCode internalError)`
`DatabricksDriverException​(String reason, Throwable cause, String sqlState)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DatabricksDriverException

    public DatabricksDriverException​(String reason,
                                     DatabricksDriverErrorCode internalError)

#### DatabricksDriverException

    public DatabricksDriverException​(String reason,
                                     Throwable cause,
                                     DatabricksDriverErrorCode internalError)

#### DatabricksDriverException

    public DatabricksDriverException​(String reason,
                                     Throwable cause,
                                     String sqlState)

#### DatabricksDriverException

    public DatabricksDriverException​(String reason,
                                     String sqlState)